import { EventEmitter } from '@angular/core';
import { FileError, FileOption, NgxfDirectoryStructure, NgxfUploadDirective } from './ngxf-uploader.model';
import * as i0 from "@angular/core";
/**
 * provide a directive for you to set area can be parse file into
 */
export declare class NgxfParseDirective implements NgxfUploadDirective {
    /** when get parse file that will trigger */
    uploadOutput: EventEmitter<File | File[] | NgxfDirectoryStructure[] | FileError>;
    fileOption: FileOption;
    multiple: string;
    accept: string;
    structure: NgxfUploadDirective['structure'];
    parse(event: ClipboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxfParseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxfParseDirective, "[ngxf-parse]", never, { "fileOption": "ngxf-validate"; "multiple": "multiple"; "accept": "accept"; "structure": "structure"; }, { "uploadOutput": "ngxf-parse"; }, never>;
}
